<div class="row">
    <div class="container">
        <ol class="breadcrumb">
            <li><a href="#">الشئون القانونية</a></li>
            <li><a href="sessions.php?do=show"> جلسات</a></li>
            <li class="active">اضافة</li>
        </ol>
        <div class="panel panel-default panel-m">
            <div class="panel-heading">
                <h3 class="panel-title">اضافة</h3>
            </div>
            <div class="panel-body"> {literal}
                <form class="nameToBeChecked form-horizontal" role="form" action="sessions.php?do=add"
                      method="post" enctype="multipart/form-data" id="spform">
                    {/literal}

                    

                 <div class="form-group">
                        <label for="lawyer_id" class="col-lg-2 control-label">القضية</label>
                        <div class="col-lg-4">
                            <select name="case" id="case" class="form-control select2" required>
                                <option value="-1">--- اختر القضية ---</option>
                                {foreach $cases as $case}
                                    <option value="{$case.subject}">{$case.subject}</option>
                                {/foreach}
                            </select>
                        </div>
                    </div>


                    <div class="form-group">
                        <label for="notes" class="col-lg-2 control-label"> تاريخ الجلسة</label>
                        <div class="col-lg-4">
                            <input type="date" name="date" id="date" class="form-control">
                        </div>
                      
                    </div>
                    <!--==============================-->
                    <div class="form-group">
                        <label for="court_decision" class="col-lg-2 control-label">النتيجة</label>
                        <div class="col-lg-4">
                            <textarea name="result" id="result" class="form-control" rows="4" ></textarea>
                        </div>
                    </div>
                    <!--==============================-->
                    <div class="form-group">
                        <label for="notes" class="col-lg-2 control-label">ملاحظات</label>
                        <div class="col-lg-4">
                            <textarea name="notes" id="notes" class="form-control" rows="3" ></textarea>
                        </div>
                    </div>
                    <!--==============================-->
                    
                    <div class="form-group">
                        <label class="col-lg-2 control-label"> مرفقات</label>
                        <div class="col-lg-4">
                            <input type="file" name="image[]" id="image" multiple  accept=".jpg, .jpeg, .png, .pdf" />
                        </div>
                    </div>
                        <!-- =================================================   -->
                    <div class="form-group">
                        <div class="col-lg-offset-2 col-lg-4">
                            <button type="button" class="btn btn-primary pull-left" id="spbutton">حفظ</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

{literal}
<script type="text/javascript">
    var sprytextfield1 = new Spry.Widget.ValidationTextField("sprytextfield1");
    var sprytextfield2 = new Spry.Widget.ValidationTextField("sprytextfield2");
    $('#spbutton').live('click', function (e) {
        if (!$('#spbutton').hasClass("processing")) {
            $('#spbutton').addClass("processing");
            var myForm = document.getElementById("spform");
            var SS = Spry.Widget.Form.validate(myForm);
            if (SS == true) {
                myForm.submit();
            } else {
                $('#spbutton').removeClass("processing");
            }
        }
    });
$(document).ready(function() {
    $('#nature').on('change', function() {
        if ($(this).val() === 'other') {
            $('#other_input_container').show();
        } else {
            $('#other_input_container').hide(); 
            $('#other_nature').val(''); 
        }
    });
});
$(document).ready(function() {
    $(document).on('input', '.opponent-input', function() {
        let currentInput = $(this);
        let parentRow = currentInput.closest('.opponent-row');
        let nextRow = parentRow.next('.opponent-row');
        if (currentInput.val().trim() !== "") {
            nextRow.show(); 
        } else {
            if(nextRow.find('input').val() === "") {
             nextRow.hide(); 
            }
        }
    });
});

</script>
{/literal}